{extends file='page.tpl'}

{block name="page_content"}
    {if !empty($message)}
        <div class="alert alert-warning">
            {$message}
        </div>
    {/if}

    {if $success === 'chooseInstall'}
        <style>
            .cyrptocurrencySelectBox div h3 { margin-bottom: 0; }
            #main .page-content { background-color: #fff; }

            .cyrptocurrencySelectBox {
                width: 100%;
            }
            .cyrptocurrencySelectBox .cyrptocurrencySelect {
                border: 2px solid #e9e9e9;
                border-radius: 5px;
                width: 100%;
                transition: all 0.3s ease-in-out;
                padding: 7px 5px;
                cursor: pointer;
                display: flex;
                justify-content: space-between
            }
            .cyrptocurrencySelectBox .cyrptocurrencySelect:hover { background-color: #e9e9e9; }
            .cyrptocurrencySelectBox input:checked~.cyrptocurrencySelect {
                border: 2px solid #3057d5;
            }

            .submitButton {
                background-color: #3b5de7;
                border: none;
                color: #fff;
                padding: 7px 14px;
                text-align: center;
                text-decoration: none;
                display: inline-block;
                font-size: 16px;
                border-radius: 5px;
                margin-bottom: 10px;
                transition: all 0.3s ease-in-out;
            }
            .submitButton:hover {
                background-color: #324fc4;
            }
            .coinSelectorContainer {
                margin-bottom: 10px;
            }
            .coinSelectorContainer .cyrptocurrencySelectBox .cyrptocurrencySelect div h3 {
                font-size: 16px;
            }
        </style>
        <form action="" method="post">
            <div class="row">
                <div class="col-12" align="">
                    <h1 align="center" style="margin-bottom: 30px;">
                        {l s='Please Select a Cryptocurrency Rate' mod='fsfpay'}
                    </h1>
                </div>
                {foreach $cryptocurrencies as $coin => $name}
                    <div class="col-xs-12 col-md-6 col-lg-4 coinSelectorContainer" align="center">
                        <label for="cyrptocurrency-{$coin}" class="cyrptocurrencySelectBox">
                            <input type="radio" style="display: none" name="cyrptocurrency" id="cyrptocurrency-{$coin}" value="{$coin}" {if $coin eq $defaultCryptocurrency}checked{/if}>
                            <div class="cyrptocurrencySelect">
                                <div align="left">
                                    <h3>{$name}</h3>
                                    <h3>{$coin}</h3>
                                </div>
                                <img src="https://panel.fsfpay.com/assets/img/coins/{$coin}.png" alt="{$name}" height="40">
                            </div>
                        </label>
                    </div>
                {/foreach}
                <div class="col-xs-12 col-md-6 col-lg-4" align="">
                    <button class="submitButton">{l s='Submit' mod='fsfpay'}</button>
                </div>
            </div>
        </form>
    {else}
        {if $success} <script src="{$payment_url}"></script> {else} <div class="alert alert-danger"><strong>Payment failed</strong></div> {/if}
    {/if}
{/block}